### Method

# Clutter Text set_buffer

#### Declaration [src]

    void
    clutter_text_set_buffer (
      ClutterText* self,
      ClutterTextBuffer* buffer
    )

#### Description [src]

Set the `ClutterTextBuffer` object which holds the text for this widget.

Sets property | `Clutter.Text:buffer`

#### Parameters

`buffer`

  Type: `ClutterTextBuffer`

  A `ClutterTextBuffer`.

  The data is owned by the caller of the method.